Bug 71108 - Sawfish has problems with UTF-8 locales
Sawfish has problems with UTF-8 locales
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
David Lawrence
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-08 16:24 EDT by Celso K. Webber
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-12 23:03:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Celso K. Webber 2002-08-08 16:24:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020712

Description of problem:
If the LANG environment VAR is set up as "pt_BR.UTF-8" at /etc/sysconfig/i18n,
as done by the installer, many accented characters appear under sawfish as
"double chars".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Limbo and choose a language (such as pt_BR) which has accented characters
2.Check /etc/sysconfig/i18n to see if the ".UTF-8" was appended to the country
code name
3.Log in to sawfish and observe chars in international messages.
	

Actual Results:  The messages get corrupted, shere every accented character
appear as a "double char" (possibly its UNICODE byte pair).

Expected Results:  Accented chars should (possibly) appear right, or LANG=pt_BR
should be used instead of LANG=pt_BR.UTF-8

Additional info:

This happened also on RHL 7.3. Maybe the UTF-8 scheme is inappropriate for
accented chars, or maybe its just the case of adjusting things.
Comment 1 Havoc Pennington 2003-01-12 23:03:52 EST
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103328

Note You need to log in before you can comment on or make changes to this bug.